Skip to content

Retrieve all direct debit accounts

Request

Get a list of your direct debit accounts. Use the type and currency query parameters to filter accounts.

Security
UserToken
Path
profileIdinteger, (int64)required

Your profile ID.

Example:12345678
Query
typestringrequired

Payment type for which the account is used.

  • ACH — US direct debit (USD)
  • EFT — CA direct debit (CAD)
Enum:"ACH""EFT"
Example:type=ACH
currencystringrequired

Currency of the bank account. 3-character currency code — USD for ACH direct debits, CAD for EFT direct debits.

Example:currency=USD
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q3/profiles/12345678/direct-debit-accounts?type=ACH&currency=USD' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

List of direct debit accounts matching the filters.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
Array [
idinteger, (int64)

Direct debit account ID

Example:1
currencystring

Currency of the bank account. 3-character currency code — USD for ACH, CAD for EFT

Example:"USD"
typestring

Payment type for which the account is used.

  • ACH — US direct debit (USD)
  • EFT — CA direct debit (CAD)
Enum:"ACH""EFT"
Example:"ACH"
detailsobject

Bank account details

]
Response
[ { "id": 1, "currency": "USD", "type": "ACH", "details": { "routingNumber": "000000000", "accountNumber": "0000000000", "accountType": "CHECKING" } } ]